# imagefilledpolygon

(PHP 4, PHP 5, PHP 7)

imagefilledpolygon — Draw a filled polygon

### Description

imagefilledpolygon ( resource `$image` , array `$points` , int `$num_points` , int `$color` ) : bool

imagefilledpolygon() creates a filled polygon in the given `image`.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`points`

  An array containing the x and y coordinates of the polygons vertices consecutively.

`num_points`

  Total number of points (vertices), which must be at least 3.

`color`

  A color identifier created with imagecolorallocate().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 imagefilledpolygon() example

`<?php
// set up array of points for polygon
$values = array(
40, 50, // Point 1 (x, y)
20, 240, // Point 2 (x, y)
60, 60, // Point 3 (x, y)
240, 20, // Point 4 (x, y)
50, 40, // Point 5 (x, y)
10, 10 // Point 6 (x, y)
);
// create image
$image = imagecreatetruecolor(250, 250);
// allocate colors
$bg = imagecolorallocate($image, 0, 0, 0);
$blue = imagecolorallocate($image, 0, 0, 255);
// fill the background
imagefilledrectangle($image, 0, 0, 249, 249, $bg);
// draw a polygon
imagefilledpolygon($image, $values, 6, $blue);
// flush image
header('Content-type: image/png');
imagepng($image);
imagedestroy($image);
?>`

The above example will output something similar to:

### See Also

- imagepolygon() - Draws a polygon